package com.palmnest.application.dto.output;

import java.util.List;

/**
 * 服务之窗1L- RepairBillBoardDto
 *  看板统计实体
 * @Description TODO
 * @author: jiangyong
 * @since: 2020/9/2 10:56
 */
public class RepairBillBoardDto {
    private Integer orgId; //项目id
    private String orgName; //项目名称
    private Integer allBillTotal;//总工单数
    private Integer unfinishedTotal; //未完成数
    private Integer grabBillTotal; //可抢单数
    private Integer finishedTotal; //完成数
    private Integer fillRate; //完成率
    private List<RepairBillBoardDetailDto> list; //未完成工单列表

    public Integer getAllBillTotal() {
        return allBillTotal;
    }

    public void setAllBillTotal(Integer allBillTotal) {
        this.allBillTotal = allBillTotal;
    }

    public Integer getUnfinishedTotal() {
        return unfinishedTotal;
    }

    public void setUnfinishedTotal(Integer unfinishedTotal) {
        this.unfinishedTotal = unfinishedTotal;
    }

    public Integer getGrabBillTotal() {
        return grabBillTotal;
    }

    public void setGrabBillTotal(Integer grabBillTotal) {
        this.grabBillTotal = grabBillTotal;
    }

    public Integer getFinishedTotal() {
        return finishedTotal;
    }

    public void setFinishedTotal(Integer finishedTotal) {
        this.finishedTotal = finishedTotal;
    }

    public Integer getFillRate() {
        return fillRate;
    }

    public void setFillRate(Integer fillRate) {
        this.fillRate = fillRate;
    }

    public List<RepairBillBoardDetailDto> getList() {
        return list;
    }

    public void setList(List<RepairBillBoardDetailDto> list) {
        this.list = list;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }
}
